import service from '@/utils/request'
// 查询收款记录
export const queryCollection = (code) => {
  return service({
    url: '/project/queryCollection',
    method: 'get',
    params: {
      code: code
    }
  })
}
// 新增收款记录
export const createCollection = (data) => {
  return service({
    url: '/project/createCollection',
    method: 'post',
    data: data
  })
}
// 修改收款记录
export const updateCollection = (data) => {
  return service({
    url: '/project/updateCollection',
    method: 'put',
    data: data
  })
}
// 删除收款记录
export const deleteCollection = (data) => {
  return service({
    url: '/project/deleteCollection',
    method: 'delete',
    data: data
  })
}
// 检索收款记录
export const retrievalCollection = (data) => {
  return service({
    url: '/project/queryCollectionList',
    method: 'POST',
    data: data
  })
}
